package com.ruoyi.project.intact.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.sems.domain.TApprove;
import com.ruoyi.project.sems.mapper.TApproveMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.intact.mapper.TIntactApproveMapper;
import com.ruoyi.project.intact.domain.TIntactApprove;
import com.ruoyi.project.intact.service.ITIntactApproveService;

/**
 * 设备完整性申请Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-24
 */
@Service
public class TIntactApproveServiceImpl extends ServiceImpl<TIntactApproveMapper, TIntactApprove> implements ITIntactApproveService
{
    @Autowired
    private TIntactApproveMapper tIntactApproveMapper;

    /**
     * 查询设备完整性申请
     *
     * @param id 设备完整性申请ID
     * @return 设备完整性申请
     */
    @Override
    public TIntactApprove selectTIntactApproveById(Long id)
    {
        return tIntactApproveMapper.selectTIntactApproveById(id);
    }

    /**
     * 查询设备完整性申请列表
     *
     * @param tIntactApprove 设备完整性申请
     * @return 设备完整性申请
     */
    @Override
    public List<TIntactApprove> selectTIntactApproveList(TIntactApprove tIntactApprove)
    {
        return tIntactApproveMapper.selectTIntactApproveList(tIntactApprove);
    }

    /**
     * 新增设备完整性申请
     *
     * @param tIntactApprove 设备完整性申请
     * @return 结果
     */
    @Override
    public int insertTIntactApprove(TIntactApprove tIntactApprove)
    {
        return tIntactApproveMapper.insertTIntactApprove(tIntactApprove);
    }

    /**
     * 修改设备完整性申请
     *
     * @param tIntactApprove 设备完整性申请
     * @return 结果
     */
    @Override
    public int updateTIntactApprove(TIntactApprove tIntactApprove)
    {
        return tIntactApproveMapper.updateTIntactApprove(tIntactApprove);
    }

    /**
     * 批量删除设备完整性申请
     *
     * @param ids 需要删除的设备完整性申请ID
     * @return 结果
     */
    @Override
    public int deleteTIntactApproveByIds(Long[] ids)
    {
        return tIntactApproveMapper.deleteTIntactApproveByIds(ids);
    }

    /**
     * 删除设备完整性申请信息
     *
     * @param id 设备完整性申请ID
     * @return 结果
     */
    @Override
    public int deleteTIntactApproveById(Long id)
    {
        return tIntactApproveMapper.deleteTIntactApproveById(id);
    }
}
